Bug 579375 (perl-CGI-PSGI) - Review Request: perl-CGI-PSGI - Enable your CGI.pm aware applications to adapt PSGI protocol
Summary: Review Request: perl-CGI-PSGI - Enable your CGI.pm aware applications to adap...
Keywords:
Status: CLOSED ERRATA
Alias: perl-CGI-PSGI
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 579376
TreeView+ depends on / blocked
 
Reported: 2010-04-04 19:16 UTC by Emmanuel Seyman
Modified: 2010-04-28 23:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-28 23:05:37 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-04-04 19:16:29 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-PSGI/perl-CGI-PSGI.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-PSGI/perl-CGI-PSGI-0.10-1.fc12.src.rpm
Description:
This module is for web application framework developers who currently uses
CGI to handle query parameters. You can switch to use CGI::PSGI instead of
CGI, to make your framework compatible to PSGI with a slight modification
of your framework adapter. The framework should already be collecting the
body content to print at one place, and not printing any content directly
to STDOUT.

Comment 1 Chris Weyl 2010-04-11 17:39:21 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2108548

Comment 2 Chris Weyl 2010-04-11 18:09:29 UTC
Looks good!

The usual suggestions w.r.t. PERL_INSTALL_ROOT and using
%{?perl_default_filter} apply.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2108548

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
c9a2cd4d5309ac45ffa690a0e340ac2f1f8d5f1c CGI-PSGI-0.10.tar.gz
c9a2cd4d5309ac45ffa690a0e340ac2f1f8d5f1c CGI-PSGI-0.10.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-CGI-PSGI-0.10-1.fc14.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-CGI-PSGI-0.10-1.fc14.noarch.rpm
perl(CGI::PSGI) = 0.10
perl-CGI-PSGI = 0.10-1.fc14
====> requires for perl-CGI-PSGI-0.10-1.fc14.noarch.rpm
perl >= 0:5.008_001
perl(base)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  

=====> perl-CGI-PSGI-0.10-1.fc14.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-CGI-PSGI-0.10-1.fc14.src.rpm
====> requires for perl-CGI-PSGI-0.10-1.fc14.src.rpm
perl  
perl(CGI)  
perl(ExtUtils::MakeMaker)  
perl(Test::More)  

APPROVED

Comment 3 Emmanuel Seyman 2010-04-11 18:29:29 UTC
(In reply to comment #2)
> 
> The usual suggestions w.r.t. PERL_INSTALL_ROOT and using
> %{?perl_default_filter} apply.

Done.

> APPROVED    

Thanks, Chris. Asking for CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-PSGI
Short Description: Enable your CGI.pm aware applications to adapt PSGI protocol
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-04-11 19:18:53 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Emmanuel Seyman 2010-04-15 10:02:36 UTC
FYI, this is on QA (I typed in the wrong bug number when submitting the updates).

The updates are here:
http://koji.fedoraproject.org/koji/packageinfo?packageID=10205

Comment 6 Emmanuel Seyman 2010-04-28 23:05:37 UTC
Pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.